import React from "react";
import type { PostMessageProps, PostMessageResponse } from "../../types";
import { FileUploaderConfig, FormBuilderConfig, resolveUrl } from "../../types";
import type { controlProps } from "../../types/controlProps";
export type FormState = "processing" | "success" | "error";
export interface IProps {
    config: FormBuilderConfig;
    controlProps?: controlProps;
    fileUploaderConfig?: FileUploaderConfig;
    iconType?: string;
    state?: FormState | "";
    resolveUrl?: resolveUrl;
    onSubmit?: (urlEncodedFormValues: string, formValues: any) => Promise<any>;
    postGenAiMessage?: ({ message, profile, }: PostMessageProps) => Promise<PostMessageResponse>;
}
declare const FormBuilder: ({ config, controlProps, fileUploaderConfig, iconType, state, resolveUrl, onSubmit, postGenAiMessage, }: IProps) => import("react/jsx-runtime").JSX.Element;
interface FormProps {
    method: string;
    formSubmitted: boolean;
    state?: FormState | "";
    error?: string;
    controlProps?: controlProps;
}
export declare const Form: React.ForwardRefExoticComponent<FormProps & React.RefAttributes<HTMLFormElement>>;
export default FormBuilder;
