import { DetailedHTMLProps, InputHTMLAttributes } from "react";
import { InputFormControl, OnChangeValueType } from "../../types";
import type { controlProps } from "../../types/controlProps";
export interface IProps extends DetailedHTMLProps<InputHTMLAttributes<HTMLInputElement>, HTMLInputElement> {
    id: string;
    control: InputFormControl;
    controlProps?: controlProps;
    objectPathId?: string;
    hasClearButton?: boolean;
    onClearCallback?: () => void;
    onChangeValue: (newProperties: OnChangeValueType) => void;
}
declare const Input: ({ onChangeValue, hasClearButton, onClearCallback, controlProps, ...props }: IProps) => import("react/jsx-runtime").JSX.Element;
export default Input;
