import React, { FC } from "react";
import type { PostMessageProps, PostMessageResponse } from "../types";
import { FileUploaderConfig, FormControl, FormControls, resolveUrl } from "../types";
interface ContextProps {
    formControls: FormControls;
    fileUploaderConfig: FileUploaderConfig;
    hasExpertMode: boolean;
    isExpertMode: boolean;
    enableExpertMode: () => void;
    toggleExpertMode: () => void;
    resolveUrl: resolveUrl;
    updateControl: (id: string, control: FormControl) => void;
    addListItem: (listName: string) => void;
    addFileUploaderConfig: (endpoints: FileUploaderConfig) => void;
    moveListItemUp: (listName: string, index: number) => void;
    moveListItemDown: (listName: string, index: number) => void;
    removeListItem: (listName: string, index: number) => void;
    getControlByObjectPath: (path: string) => FormControl;
    toggleRerendered: boolean;
    postGenAiMessage?: ({ message, profile, }: PostMessageProps) => Promise<PostMessageResponse>;
}
export declare const FormDataContext: React.Context<Partial<ContextProps>>;
export declare const getControlByPath: (formControls: FormControls, path: string) => FormControl;
export interface ProviderProps {
    children: React.ReactNode;
    controls: FormControls;
    fileUploaderConfig?: FileUploaderConfig;
    resolveUrl?: resolveUrl;
    postGenAiMessage?: ({ message, profile, }: PostMessageProps) => Promise<PostMessageResponse>;
}
export declare const getEnhancedControls: (controls: FormControls) => FormControls;
export declare const FormDataProvider: FC<ProviderProps>;
export {};
